Error compiling version 1.8.0

Hi,
I am compiling version 1.8.0 on Centos 7
cmake version: 3.18.3

using the following cmd:
cmake -DSTATIC_BUILD=ON -DCMAKE_BUILD_TYPE=Release …/OrthancServer/

I get the following fatal error:
CMake Error at /opt/Orthanc-1.8.0/OrthancFramework/Ressources/CMake/DownloadPackage.cmake:48 (message): Please install the ‘patch’ standard command-line tool

the file patch.exe exist in:
OrthancFramework/Resources/ThirdParty/patch/

permission on patch.exe is -rwxr-xr-x

any idea of hat I missed ?
thanks
nic

Hello,

The executable “./OrthancFramework/Resources/ThirdParty/patch/patch.exe” is for Microsoft Windows.

On CentOS, you should simply install “patch” as follows, before running cmake:

$ sudo yum install patch

HTH,
Sébastien-